# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /Users/ktietz/demo/src/aggregate/mysql-connector-c-feedstock/recipe, last modified Sat Aug  7 09:29:35 2021
# ------------------------------------------------

package:
  name: mysql-connector-c
  version: 6.1.11
source:
  fn: mysql-connector-c-6.1.11.tar.gz
  patches:
    - 0001-CPPFLAGS-can-have-more-than-one-compiler-definition.patch
    - 0002-GCC-7-Fix-empty-string-comparison-error.patch
    - 0003-Don-t-use-deprecated-API-with-openssl-1.1.patch
  sha256: c8664851487200162b38b6f3c8db69850bd4f0e4c5ff5a6d161dbfb5cb76b6c4
  url: https://dev.mysql.com/get/Downloads/Connector-C/mysql-connector-c-6.1.11-src.tar.gz
build:
  number: '1'
  run_exports:
    - mysql-connector-c >=6.1.11,<6.1.12.0a0
  string: h4a942e0_1
requirements:
  build:
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2021.7.5 hca03da5_1
    - cctools_osx-arm64 949.0.1 h332cad3_24
    - clang 12.0.0 hca03da5_4
    - clang-12 12.0.0 default_he099f3d_4
    - clang_osx-arm64 12.0.0 hcb56dc5_3
    - clangxx 12.0.0 default_he099f3d_4
    - clangxx_osx-arm64 12.0.0 h39b79ac_3
    - cmake 3.19.6 hae769c0_1
    - compiler-rt 12.0.0 h4ccfd99_3
    - compiler-rt_osx-arm64 12.0.0 h4fb70ea_3
    - expat 2.4.1 hc377ac9_2
    - krb5 1.19.1 h8e9bd5e_0
    - ld64_osx-arm64 530 h001ce53_24
    - ldid 2.1.2 h7dde238_2
    - libclang-cpp12 12.0.0 default_he099f3d_4
    - libcurl 7.71.1 h7623bd3_1
    - libcxx 12.0.0 hf6beb65_1
    - libedit 3.1.20210216 h1a28f6b_1
    - libllvm12 12.0.0 h12f7ac0_4
    - libssh2 1.9.0 hf27765b_1
    - libuv 1.39.0 h1a28f6b_0
    - llvm-tools 12.0.0 h12f7ac0_4
    - lz4-c 1.9.3 hc377ac9_0
    - make 4.3 h620ffc9_1
    - ncurses 6.2 hc4ed4cf_0
    - openssl 1.1.1j h1230e6a_0
    - rhash 1.4.1 hf27765b_1
    - tapi 1100.0.11 ha21211d_0
    - xz 5.2.5 h1a28f6b_0
    - zlib 1.2.11 hca03da5_3
    - zstd 1.4.9 h8574219_1
  host:
    - ca-certificates 2021.7.5 hca03da5_1
    - libcxx 12.0.0 hf6beb65_1
    - openssl 1.1.1j h1230e6a_0
  run:
    - libcxx >=12.0.0
    - openssl >=1.1.1j,<1.1.2a
test:
  commands:
    - mysql_config --version
    - my_print_defaults --version
about:
  description: 'Connector/C is a client library that implements the C API for

    client/server communication. It is a standalone replacement for

    the MySQL client library shipped with MySQL Server distributions.

    '
  home: https://dev.mysql.com/downloads/connector/c/
  license: LGPL
  license_family: LGPL
  license_file: COPYING
  summary: MySQL Connector/C, the C interface for communicating with MySQL servers.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - druvus
